## horde3 3.3.12+debian0

=== debian/changelog ===
horde3 (3.3.12+debian0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed Call-time pass-by-reference (Closes: #658866).

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Apr 2012 04:53:30 +0000

horde3 (3.3.12+debian0-2) unstable; urgency=emergency

  * Remove backdoor in emergency (upstream server is compromised).
    CVE-2012-0209

 -- Gregory Colpart <reg@debian.org>  Thu, 09 Feb 2012 00:41:34 +0100

horde3 (3.3.12+debian0-1) unstable; urgency=low

  * New upstream release (Closes: #636592)
    - Fix 'return value of new by reference is deprecated', at least in
      lib/Horde/Kolab/Server/Object.php (Closes: #630142, #601186)
    - pgsql create script fixed (Closes: #508571)
    - Fix dirty flag handling when saving prefs to files (Closes: #538027)
    - Fix preferences management regression (Closes: #634962)
    - Fix SQL error during cache cleanup (Closes: #566610)
    - Fix undefined index: token_lifetime (Closes: #629006)
  * Housekeeping (thanks to lintian):
    - spelling error in README.Debian (writeable writable)
    - Update to standards version 3.9.2, no change required
    - Don't use asterisks in NEWS.Debian
    - Use versioned LGPL-2.1 in copyright
    - Add minimal build-indep and build-arch targets to d/rules
  * Switch to dpkg-source 3.0 (quilt) format
  * Remove conflict on horde and old turba2 (very old packages)

 -- Mathieu Parent <sathieu@debian.org>  Sat, 07 Jan 2012 12:23:19 +0100

horde3 (3.3.8+debian0-2) unstable; urgency=medium

  * Backport security patches from 3.3.9 and 3.3.10 to fix CVE-2010-3077
    and CVE-2010-3694 (Closes: #598582)
  * Backport upstream fix from 3.3.10 for SyncML bug: page sometimes deleting
    more anchors than selected.
  * Fix annoying bug in temp-cleanup.cron (Closes: #597603) 

 -- Gregory Colpart <reg@debian.org>  Wed, 03 Nov 2010 23:44:17 +0100

horde3 (3.3.8+debian0-1) unstable; urgency=low

  [ Mathieu Parent ]
  * Add misc:Depends to pear-horde-channel 

  [ Gregory Colpart ]
  * New upstream release. 
  * Update to standards version 3.8.4, no further required changes.

 -- Gregory Colpart <reg@debian.org>  Sun, 09 May 2010 23:11:24 +0200

horde3 (3.3.6+debian0-2) unstable; urgency=low

  * Correct debian/links
  * Updated check for upstream JS libs 
  * Add call to dh_link (Closes: #562138 imp4: Javascript problems after
    upgrade)

 -- Mathieu Parent <sathieu@debian.org>  Sat, 26 Dec 2009 00:27:55 +0100

horde3 (3.3.6+debian0-1) unstable; urgency=low

  * New upstream release.
  * Change my email address, as I am now Debian developer
  * Replace config symlink by update-alternatives to allow configuration
    packages

 -- Mathieu Parent <sathieu@debian.org>  Sun, 20 Dec 2009 16:39:57 +0100

horde3 (3.3.5+debian0-1) unstable; urgency=high

  [ Gregory Colpart ]
  * New upstream release.
  * This version is mainly for fixing security bugs, in particular a
    vulnerability in image form fields that allows overwriting of arbitrary
    local files. See CVE-2009-3236 for more information. (Closes: #547318)
  * Adjust branch names in debian/rules for refresh-patches.
  * Add patch-stamp in COPY_EXCLUDE (oops).
  * Add php-mdb2* packages in Recommends (Closes: #528927).
  * Update to standards version 3.8.3, no further required changes.

  [ Mathieu Parent ]
  * Install /etc/horde/horde3/registry.d directory

 -- Gregory Colpart <reg@debian.org>  Sun, 20 Sep 2009 20:00:25 +0200

horde3 (3.3.4+debian0-1) unstable; urgency=low

  * New upstream release. 
  * Change Vcs-Browser field (migrate a --bare git repository on alioth). 
  * Update to standards version 3.8.1, no further required changes.

 -- Gregory Colpart <reg@debian.org>  Sat, 02 May 2009 03:46:44 +0200

horde3 (3.3.3+debian0-1) unstable; urgency=low

  * New upstream release. (Closes: #513015)
  * This new version has a lot of fixes and improvements, and includes some
    changes backported previously.
  * Add "Git patches" stuff in debian/rules.
  * Add horde PEAR channel within pear-horde-channel package. (Closes: #514007)
  * Add Mathieu Parent in Uploaders: field.
  * We use now Git, upgrade Vcs-* in debian/control.

 -- Gregory Colpart <reg@debian.org>  Sun, 15 Mar 2009 19:22:50 +0100

horde3 (3.2.2+debian0-2) unstable; urgency=high

  * Add informations in README.Debian about test.php files: these files should
    not be "allow from all", because test.php includes private informations and
    could be unsafe (for example see CVE-2008-4182).
  * Include a patch from Horde upstream to fix an IE-only hole in XSS filter
    (See CVE-2008-5917 for more information). (Closes: #512592)
  * Include patches from Horde upstream to fix a file inclusion issue in
    Horde_Image driver name (Image/Image.php) and an unescaped output in
    the tag cloud block (services/portal/cloud_search.php). (Closes: #513265)

 -- Gregory Colpart <reg@debian.org>  Thu, 29 Jan 2009 01:15:51 +0100

horde3 (3.2.2+debian0-1) unstable; urgency=high

  * New upstream release.
  * This version is mainly for fixing two security bugs: unescaped output in
    the MIME library and improve the XSS filter for HTML (See CVE-2008-3823 for
    more information). (Closes: #499579)
  * Add changelog entry with CVE ID in changelog for 3.2.1+debian0-1.
  * Fix misspelling in Recommends: field. (Closes: #499001)
  * Improve upgrade path Etch->Lenny with forcing to show diff of
    /etc/horde/horde3/registry.php because all horde components are now
    inactive by default. (Closes: #493885)
  * Change Gregory Colpart's email address in debian/control file.

 -- Gregory Colpart <reg@debian.org>  Mon, 22 Sep 2008 03:28:05 +0200

horde3 (3.2.1+debian0-2) unstable; urgency=low

  [ Mathieu Parent ]
  * debian/rules: remove js/src/* in the target directory instead of the
    source directory

  [ Gregory Colpart (evolix) ]
  * Backport patch from Horde CVS to fix a MIME handling bug. Thanks to Marc
    Dequènes <duck@duckcorp.org> to report it. (Closes: #490125)

