=== debian/control ===
Source: horde3
Section: web
Priority: optional
Maintainer: Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>
Uploaders: Ola Lundqvist <opal@debian.org>, Lionel Elie Mamane <lmamane@debian.org>, Gregory Colpart <reg@debian.org>, Mathieu Parent <sathieu@debian.org>
Build-Depends: debhelper (>= 5)
Vcs-Git: git://git.debian.org/pkg-horde/horde3.git
Vcs-Browser: http://git.debian.org/?p=pkg-horde/horde3.git
Standards-Version: 3.9.2
Homepage: http://www.horde.org/

Package: horde3
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libapache2-mod-php5 | libapache2-mod-php4 (>= 4:4.3.10) | php5-cgi | php4-cgi (>= 4:4.3.10), libapache2-mod-php5 | php5-cgi | php4-domxml, php5-gd, php5-mcrypt, php-log, php-mail, php-mail-mime, apache2 | httpd, libjs-scriptaculous
Recommends: php5-mysql | php5-pgsql | php5-ldap, php5-cli, logrotate, php-file, php-date, php-services-weather (>= 1.3.1), php-db (>= 1.7.8), php-mdb2, php-mdb2-driver-mysql | php-mdb2-driver-pgsql | php-mdb2-driver-sqlite, locales, fckeditor, tinymce2 | tinymce (<< 3)
Suggests: imp4, turba2, gollem, chora2, kronolith2, mnemo2, webcpp, xlhtml, ppthtml, wv, source-highlight, enscript, rpm, php5-mhash, gettext, php-net-imap, libgeoip1, unrtf, libwpd-tools, php5-auth-pam
Description: horde web application framework
 The Horde Framework is written in PHP, and provides the common
 tools a Web application requires: classes for dealing with preferences,
 compression, browser detection, connection tracking, MIME, and more.
 .
 The Horde Framework, by itself, does not provide any significant end user
 functionality; it provides a base for other applications and tools for
 developers. You will probably want to install some of the available Horde
 applications, such as IMP (a webmail client), or Kronolith (a calendar).
 .
 There is a list of Horde applications and projects at
 http://www.horde.org/projects.php.

Package: pear-horde-channel
Architecture: all
Depends: ${misc:Depends}
Description: pear.horde.org channel
 This is the PEAR channel registry entry for Horde. Some Horde and Kolab PEAR 
 packages are already packaged for Debian, and can be easily identified by
 names beginning with "php-horde-" or "php-kolab-".
 .
 The Horde Framework is written in PHP, and provides the common tools a Web
 application requires: classes for dealing with preferences, compression,
 browser detection, connection tracking, MIME, and more.
 .
 Kolab is a secure, scalable, and reliable groupware server. It consists of a
 number of well-known and proven components for the standard tasks such as
 e-mail, directory service, and web service. Kolab adds intelligent interaction
 between the components, a web administration interface, management of
 free/busy lists, etc. Various clients can access Kolab, among them Kontact
 (KDE), Outlook (Windows), and Horde (web).
