=== debian/watch ===
version=2
opts=dversionmangle=s/\+debian\d$// \
  http://ftp.horde.org/pub/horde/horde-([\d\.]*)\.tar\.gz
